Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.classifiers.performanceMeasures
Interface NumericalPerformanceMeasure

All Known Implementing Classes:
  AucPR, AucROC, ClassificationRate, FalsePositiveRateForFixedSensitivity, MaximumCorrelationCoefficient, MaximumFMeasure, MaximumNumericalTwoClassMeasure, PositivePredictiveValueForFixedSensitivity, SensitivityForFixedSpecificity

    public interface NumericalPerformanceMeasure

This interface indicates that a Performance measure returns numerical results. Any class that implements this interface should be an extension of `AbstractPerformanceMeasure`.

Author:
  Jan Grau, Jens Keilwagen
See Also:
  `NumericalResultSet`, `NumericalResult`

Method Summary
`NumericalResultSet` | `compute(double[][][] classSpecificScores)` This method allows to compute the performance measure of given class specific scores.
`NumericalResultSet` | `compute(double[] sortedScoresClass0, double[] sortedScoresClass1)` This method allows to compute the performance measure of given sorted score ratios.

Method Detail

### compute

    NumericalResultSet compute(double[] sortedScoresClass0,
                               double[] sortedScoresClass1)

  This method allows to compute the performance measure of given sorted score ratios. This method can only be used for binary classifiers.

  Parameters:
    `sortedScoresClass0` - the sorted score ratios of class 0
    `sortedScoresClass1` - the sorted score ratios of class 1
  Returns:
    a numerical result set containing the results of the performance measure
  See Also:
    `Arrays.sort(double[])`

### compute

    NumericalResultSet compute(double[][][] classSpecificScores)

  This method allows to compute the performance measure of given class specific scores.

  Parameters:
    `classSpecificScores` - the scores; first dimension = data sets, second dimension = sequences of the data set, third dimension classes of the classifier
  Returns:
    a numerical result set containing the results of the performance measure

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD